net.sf.okapi.lib.xliff2.core

## Enum Note.AppliesTo

- java.lang.Object
- - java.lang.Enum<Note.AppliesTo>
  - - net.sf.okapi.lib.xliff2.core.Note.AppliesTo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Note.AppliesTo>
  Enclosing class:
    Note

      public static enum Note.AppliesTo
      extends java.lang.Enum<Note.AppliesTo>

  Types of object a note can apply to.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SOURCE` The note applies to the source.
    `TARGET` the note applies to the target.
    `UNDEFINED` The note does not applies to a specific type of object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Note.AppliesTo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Note.AppliesTo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final Note.AppliesTo UNDEFINED

      The note does not applies to a specific type of object.

    - #### SOURCE

          public static final Note.AppliesTo SOURCE

      The note applies to the source.

    - #### TARGET

          public static final Note.AppliesTo TARGET

      the note applies to the target.

  - ### Method Detail

    - #### values

          public static Note.AppliesTo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Note.AppliesTo c : Note.AppliesTo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Note.AppliesTo valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null